import request from '@/utils/request'

// 查询企微客户标签列表
export function listTag(query) {
  return request({
    url: '/qw/tag/list',
    method: 'get',
    params: query
  })
}

// 查询企微客户标签详细
export function getTag(id) {
  return request({
    url: '/qw/tag/' + id,
    method: 'get'
  })
}

// 新增企微客户标签
export function addTag(data) {
  return request({
    url: '/qw/tag',
    method: 'post',
    data: data
  })
}

export function searchTags(data) {
  return request({
    url: '/qw/tag/searchTags',
    method: 'post',
    data: data
  })
}

// 修改企微客户标签
export function updateTag(data) {
  return request({
    url: '/qw/tag',
    method: 'put',
    data: data
  })
}

// 删除企微客户标签
export function delTag(id) {
  return request({
    url: '/qw/tag/' + id,
    method: 'delete'
  })
}

// 导出企微客户标签
export function exportTag(query) {
  return request({
    url: '/qw/tag/export',
    method: 'get',
    params: query
  })
}
